unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  MailMerge, ComCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    edtEmployeeName: TEdit;
    lblClients: TLabel;
    mmoClients: TMemo;
    StatusBar1: TStatusBar;
    Label2: TLabel;
    mmoStatus: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure MailMergeStatusMessage(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    MailMerge: TMailMerge;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  MailMerge := TMailMerge.Create(Self);
  MailMerge.OnStatusMessage := MailMergeStatusMessage;
end;

procedure TForm1.MailMergeStatusMessage(Sender: TObject);
begin
  StatusBar1.SimpleText := TMailMerge(Sender).StatusMessage;
  mmoStatus.Lines.Add(TMailMerge(Sender).StatusMessage);
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  I: Integer;
begin
  MailMerge.Clear;
  MailMerge.DocumentName := IncludeTrailingBackslash(ExtractFilePath(Application.ExeName)) + 'template.doc';
  MailMerge.Columns := 'CustomerName;EmployeeName';
  for I := 0 to mmoClients.Lines.Count - 1 do
  begin
    if mmoClients.Lines[I] <> '' then
    begin
      MailMerge.Append;
      MailMerge['CustomerName'] := mmoClients.Lines[I];
      MailMerge['EmployeeName'] := edtEmployeeName.Text;
    end;
  end;
  MailMerge.Merge;
  MailMerge.WordDocument.PrintOut(EmptyParam, EmptyParam, EmptyParam, EmptyParam, EmptyParam, EmptyParam, EmptyParam, EmptyParam, EmptyParam, EmptyParam, EmptyParam, EmptyParam, EmptyParam, EmptyParam);
end;

end.
